<app-navbar></app-navbar>
<div class="content-section implementation" style="border: none;">
    <div class="card" style="border: none;">
        <p-dataView #dv [value]="resultados" [paginator]="true" [rows]="9" filterBy="name" layout="grid"
            emptyMessage="">
            <ng-template pTemplate="header">
                <div class="p-d-flex p-flex-column p-flex-md-row p-jc-md-between">
                    <span class="p-input-icon-left">
                        <i class="pi pi-search"></i>
                        <input id="txt_busqueda" type="text" [(ngModel)]="busqueda.palabra_clave" pInputText
                            placeholder="Buscar" />
                        <button pButton pRipple type="button" icon="pi pi-search"
                            class="p-button-rounded p-button-secondary p-button-outlined" style="margin-left: 5px;"
                            (click)="buscarVideos()"></button>
                    </span>
                    <p-dataViewLayoutOptions></p-dataViewLayoutOptions>
                </div>
            </ng-template>
            <ng-template let-resultados pTemplate="listItem">
                <div class="p-col-12">
                    <div class="video-list-item">
                        <img src="{{resultados.snippet.thumbnails.medium.url}}"
                            (click)="verVideo(resultados.id.videoId)">
                        <div class="video-list-detail">
                            <div class="video-name">{{resultados.snippet.title}}</div>
                            <div class="video-description">{{resultados.snippet.description}}</div>
                            <i class="pi pi-user"></i> <span> {{resultados.snippet.channelTitle}}</span>
                        </div>

                        <div class="video-list-action">
                            <i *ngIf="sesion && resultados.etag!=='favorite'"
                                (click)="addFavoritos(resultados.snippet.title,resultados.snippet.thumbnails.medium.url,resultados.snippet.channelTitle,resultados.snippet.description,resultados.id.videoId)"
                                class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px; cursor: pointer;"></i>
                            <i *ngIf="resultados.etag=='favorite'" class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px;color: red ;cursor: pointer;"
                                (click)="deleteVideoFav(resultados.id.videoId)"></i>
                        </div>

                    </div>
                </div>
            </ng-template>
            <ng-template let-resultados pTemplate="gridItem">
                <div class="p-col-12 p-md-4">
                    <div class="video-grid-item card">
                        <div class="video-grid-item-top">
                            <div>
                                <i class="pi pi-user"></i>
                                <span class="channle-name-grid"> {{resultados.snippet.channelTitle}}</span>
                            </div>
                        </div>
                        <div class="video-grid-item-content">
                            <img src="{{resultados.snippet.thumbnails.medium.url}}"
                                (click)="verVideo(resultados.id.videoId)">
                            <div class="video-name">{{resultados.snippet.title}}</div>
                            <div class="video-description">{{resultados.snippet.description}}</div>
                        </div>
                        <div class="video-grid-item-bottom">
                            <span class="video-grid-action"></span>
                            <i *ngIf="sesion && resultados.etag!=='favorite'"
                                (click)="addFavoritos(resultados.snippet.title,resultados.snippet.thumbnails.medium.url,resultados.snippet.channelTitle,resultados.snippet.description,resultados.id.videoId)"
                                class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px; cursor: pointer;"></i>
                            <i *ngIf="resultados.etag=='favorite'" class="fa fa-heart"
                                style="font-size:36px; margin-right: 5px; margin-bottom: 5px;color: red ;cursor: pointer;"
                                (click)="deleteVideoFav(resultados.id.videoId)"></i>
                        </div>
                    </div>
                </div>
            </ng-template>
        </p-dataView>
    </div>
</div>
<div>
</div>